Subject: Re: bug#46184: 28.0.50; child-frame-border-width of 0 falls back to internla-border-width

From: Alexander Miller <[email-masked]>
Date: Wed, 3 Feb 2021 22:23:25 +0100

> > (make-frame `(
 > > (parent-frame . ,(window-frame))
 > > (child-frame-border-width . 0)
 > > (internal-border-width . 200)))
 > >
 > > I would expect the border width to only fall back if
 > > child-frame-border-width is nil, since 0 is a useful setting.
 >
 > It's not entirely trivial to do that (frame parameters are a pain in
 > this regard) but please have a look at the attached patch (tested on a
 > GTK build only). Alexander, please have a look too.
 >
 > Thanks, martin

I have tried the patch and the case for using 0 does work without
fallback now.

I also tried setting an explicit `nil` value and got an error, but
judging by how `internal-border-width` shows the same behaviour I assume
that it's working as expected.